Passer au contenu principal
PATCH
https://{tenantDomain}/api/v2
/
token-exchange-profiles
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.TokenExchangeProfiles.UpdateAsync(
            id: "id",
            request: new UpdateTokenExchangeProfileRequestContent()
        );
    }

}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

ID of the Token Exchange Profile to update.

Corps

name
string
défaut:Token Exchange Profile 1

Friendly name of this profile.

Required string length: 3 - 50
subject_token_type
string<url>

Subject token type for this profile. When receiving a token exchange request on the Authentication API, the corresponding token exchange profile with a matching subject_token_type will be executed. This must be a URI.

Required string length: 8 - 100

Réponse

Token exchange profile successfully updated.